# 10.3. Special Tags

NOTE: The following documentation of this chapter is taken from the KDoc documentation provided with KDoc by Sirtaj S. Kang taj@.kde.org), author of KDoc ; Copyright (c) 1997

The documentation is a mixture of:

- Normal text. Paragraphs must be separated by at least one blank line.

- text of the form

         1 <pre>
         2 .....code fragments....
         3 </pre>

- Various tags of the form:

       @tagname [tag parameters]

The valid tags for each type of source code entity are:

- Classes

         @short [one sentence of text]
           A short description of the class
         @author [one sentence of text]
           Class author
         @version [once sentence of text]
           Class version (I normally set this to the RCS/CVS tag "Id")
         @see [one or more references to classes or methods]
           References to other related documentation.

- Methods

         @see
           as above
         @return [one sentence]
           A sentence describing the return value
         @param [param name identifier] [param description]
           Describe a parameter. The param description can span multiple
           lines and will be terminated by a blank line, the end of the
           comment, or another param entry. For this reason, param entries
           should normally be the last part of the doc comment.

- Constants, Enums, Properties

         @see
           as above

- ALSO `@ref` As a departure from the javadoc format, the metatag "@ref" has the same format as @see, but can appear anywhere in the documentation (all other tags must appear on a line by themselves).